MapAccessor.MapGetter (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.property
Class MapAccessor.MapGetter

    java.lang.Object
      org.hibernate.property.MapAccessor.MapGetter

All Implemented Interfaces:
  Serializable, Getter

Enclosing class:
  MapAccessor

    public static final class MapAccessor.MapGetter

extends Object
implements Getter

See Also:
  Serialized Form

Method Summary
`Object` | `get(Object target)` Get the property value from the given instance .
`Object` | `getForInsert(Object target, Map mergeMap, SessionImplementor session)` Get the property value from the given owner instance.
`Member` | `getMember()` Retrieve the member to which this property maps.
`Method` | `getMethod()` Retrieve the getter-method.
`String` | `getMethodName()` Retrieve the getter-method name.
`Class` | `getReturnType()` Retrieve the declared Java type

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getMember

    public Member getMember()

  Retrieve the member to which this property maps. This might be the field or it might be the getter method.

  Specified by:
    `getMember` in interface `Getter`
  Returns:
    The mapped member.

### getMethod

    public Method getMethod()

  Retrieve the getter-method.

  Optional operation (return null)

  Specified by:
    `getMethod` in interface `Getter`
  Returns:
    The getter method, or null.

### getMethodName

    public String getMethodName()

  Retrieve the getter-method name.

  Optional operation (return null)

  Specified by:
    `getMethodName` in interface `Getter`
  Returns:
    The name of the getter method, or null.

### get

    public Object get(Object target)
               throws HibernateException

  Get the property value from the given instance .

  Specified by:
    `get` in interface `Getter`
  Parameters:
    `target` - The instance containing the value to be retreived.
  Returns:
    The extracted value.
  Throws:
    `HibernateException`

### getForInsert

    public Object getForInsert(Object target,
                               Map mergeMap,
                               SessionImplementor session)

  Get the property value from the given owner instance.

  Specified by:
    `getForInsert` in interface `Getter`
  Parameters:
    `target` - The instance containing the value to be retreived.
    `mergeMap` - a map of merged persistent instances to detached instances
    `session` - The session from which this request originated.
  Returns:
    The extracted value.

### getReturnType

    public Class getReturnType()

  Retrieve the declared Java type

  Specified by:
    `getReturnType` in interface `Getter`
  Returns:
    The declared java type.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.